Retail Express API 2.1

Deletes Shipment Type by id

Deletes Shipment Type by id

delete
https://api.retailexpress.com.au/v2.1/shipmenttypes/{id}

Path Parameters

idinteger(int32)required

Shipment Type id

Example:1

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

Shipment Type deleted

delete/shipmenttypes/{id}
 

shippingports

Searches Shipping Ports by parameters

Searches Shipping Ports by parameters

get
https://api.retailexpress.com.au/v2.1/shippingports

Query Parameters

namestring | null

Shipping Port name

page_numberinteger(int32)

>= 1<= 100000

page_sizeinteger(int32)

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response with Shipping Ports data

SupplierShippingPort.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]
* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/shippingports
 
application/json

Creates Shipping Port

Sample request:

 POST /shippingports
 {
     "name": "Mexico"
 }
post
https://api.retailexpress.com.au/v2.1/shippingports

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Body

application/json

Shipping Port to be created

EmptyExample

EmptyExampleobject
* Additional properties are NOT allowed.

Response

application/json

Shipping Port created

SupplierShippingPort

* Additional properties are NOT allowed.
idinteger(int32)

Supplier shipping port id

namestring | null

Supplier shipping port name

>= 0 characters<= 100 characters

post/shippingports

Body

{}
 
application/json

Gets specific Shipping Port by unique id

Gets specific Shipping Port by unique id

get
https://api.retailexpress.com.au/v2.1/shippingports/{id}

Path Parameters

idinteger(int32)required

Shipping Port id

Example:10

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns found Shipping Port

SupplierShippingPort

* Additional properties are NOT allowed.
idinteger(int32)

Supplier shipping port id

namestring | null

Supplier shipping port name

>= 0 characters<= 100 characters

get/shippingports/{id}
 
application/json